Announcement Announcement Module
Collapse
No announcement yet.
Announcement: Spring IDE 1.2.1 released Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Announcement: Spring IDE 1.2.1 released

    Please refer to http://forum.springframework.org/showthread.php?t=16294
    Last edited by robyn; May 16th, 2006, 04:22 AM.

  • #2
    Update site problems

    It looks like http://springide.org/updatesite/site.xml does not have reference to 1.2.1 version. So, currently update site doesn't show version 1.2.1 in update manager.

    Comment


    • #3
      Re: Update site problems

      Originally posted by eu
      It looks like http://springide.org/updatesite/site.xml does not have reference to 1.2.1 version. So, currently update site doesn't show version 1.2.1 in update manager.
      Following is the above URL displayed in Firefox (leading '-' ommited)
      Code:
      <site>
      	<description url="http&#58;//springide.org/updatesite/">
      
            This site provides plugins supporting the Spring Framework &#40;http&#58;//www.springframework.org/&#41; within the Eclipse platform.
         
      </description>
      	<feature url="features/org.springframework.ide.eclipse_1.2.0.jar" id="org.springframework.ide.eclipse" version="1.2.0">
      <category name="spring-ide"/>
      </feature>
      	<feature url="features/org.springframework.ide.eclipse_1.2.1.jar" id="org.springframework.ide.eclipse" version="1.2.1">
      <category name="spring-ide"/>
      </feature>
      	<category-def name="spring-ide" label="Spring IDE">
      	<description>
      
               Plugins which are providing support for the Spring framework within the Eclipse IDE
            
      </description>
      </category-def>
      </site>
      Right now I'm updating one of my Eclipse installations via the update site. Works for me.

      Please double-check the settings of your update manager.

      Torsten

      Comment


      • #4
        spring ide 1.2.1 on eclipse 3.1

        I tried to install spring ide 1.2.1 on recent eclipse 3.1 version but got
        error log

        !ENTRY org.eclipse.jface 4 2 2005-07-13 15:12:54.846
        !MESSAGE Problems occurred when invoking code from plug-in: "org.eclipse.jface".
        !STACK 0
        java.lang.NoClassDefFoundError: org/springframework/ide/eclipse/ui/SpringUIUtils
        at org.springframework.ide.eclipse.beans.ui.actions.S howInView.selectionChanged(ShowInView.java:74)
        at org.eclipse.ui.internal.PluginAction.refreshEnable ment(PluginAction.java:200)
        at org.eclipse.ui.internal.PluginAction.selectionChan ged(PluginAction.java:271)
        at org.eclipse.ui.internal.PluginAction.selectionChan ged(PluginAction.java:292)
        at org.eclipse.ui.internal.AbstractSelectionService.f ireSelection(AbstractSelectionService.java:156)
        at org.eclipse.ui.internal.AbstractSelectionService$1 .selectionChanged(AbstractSelectionService.java:62 )
        at org.eclipse.jface.viewers.Viewer$2.run(Viewer.java :162)
        ....

        I just unzipped update 1.2.1 zip file to eclipse directory.

        Any help? Thanks!

        Regards,

        Julian Chen

        Comment


        • #5
          Re: spring ide 1.2.1 on eclipse 3.1

          Originally posted by julianchen
          I just unzipped update 1.2.1 zip file to eclipse directory.
          Julian,

          the archives (updatesite*.zip) available from Spring IDE's update site are zipped versions of the update site itself. They are only usable in conjunction with Eclipse's update manager. Uncompressing them within the Eclipse installation directory isn't working.

          Please uncompress these archives in an empty directory and point Eclipse's update manager to this directory. Then use the update manager to install Spring IDE from this local directory.

          To fix your messed-up Eclipse installation directory you have to remove all the Spring IDE stuff from your Eclipse installation directory and use Eclipse update manager to re-install Spring IDE.

          Cheers,
          Torsten

          Comment


          • #6
            Torsten,

            Thanks! It's working now.

            Regards,

            Julian

            Comment

            Working...
            X